This is the mail archive of the
cygwin
mailing list for the Cygwin project.
Re: another cygport patch
- From: Eric Blake <ebb9 at byu dot net>
- To: cygwin at cygwin dot com
- Date: Tue, 12 Dec 2006 06:44:10 -0700
- Subject: Re: another cygport patch
- References: <457EB0AF.4080307@byu.net>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
According to Eric Blake on 12/12/2006 6:37 AM:
> Cygport currently makes it impossible to pass arguments to ./configure
> that contain a space. I need this for building autogen.
>
> 2006-12-12 Eric Blake <ebb9@byu.net>
>
> * cygport (cygconf): Preserve shell metacharacters in args.
Better version (verbose had the same bug):
- --- /bin/cygport.orig 2006-12-12 06:35:36.865000000 -0700
+++ /bin/cygport 2006-12-12 06:40:19.661875000 -0700
@@ -141,7 +141,7 @@
# displays command to stdout before execution
verbose() {
echo "${@}"
- - ${@}
+ "${@}"
}
# for internal use only
@@ -753,7 +753,7 @@
export ac_cv_func_mmap_fixed_mapped=yes;
verbose ${confdir}/configure --srcdir="${confdir}" ${confargs} \
- - ${@} ${CYGCONF_ARGS} || error "configure failed"
+ "${@}" ${CYGCONF_ARGS} || error "configure failed"
}
# standard GNU make call
- --
Life is short - so eat dessert first!
Eric Blake ebb9@byu.net
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (Cygwin)
Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
iD8DBQFFfrIq84KuGfSFAYARAvaAAJ0c/FwGpUaguiNj3/OfPljseFpnuQCfZ/FW
Q9EIjr8wBl1jfEM5H9T3DA0=
=c0NY
-----END PGP SIGNATURE-----
--
Unsubscribe info: http://cygwin.com/ml/#unsubscribe-simple
Problem reports: http://cygwin.com/problems.html
Documentation: http://cygwin.com/docs.html
FAQ: http://cygwin.com/faq/